Summary: GNU Binary Utility Development Utilities
Name: binutils
Version: 2.10
Release: 1
Group: Development/Tools
Copyright: GPL
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gnu.org/gnu/binutils/binutils-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root

%description
Binutils is a collection of utilities necessary for compiling programs. It
includes the assembler and linker, as well as a number of other
miscellaneous programs for dealing with executable formats.


%prep
%setup -q


%build
NCPU=`egrep -c ^processor /proc/cpuinfo`
export MAKE="make -j$NCPU"
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr --enable-shared
$MAKE tooldir=/usr all

# Remake info files which were split with --no-split
rm -f bfd/doc/bfd.info* gprof/gprof.info*
$MAKE tooldir=/usr info MAKEINFO="makeinfo --no-split"

# Collects %doc files
mkdir -p rpm_doc/{bfd,binutils,gas,gprof,ld,libiberty}
cp -p bfd/{COPYING,ChangeLog*,PORTING,README,TODO} rpm_doc/bfd
cp -p binutils/{ChangeLog,NEWS,README} rpm_doc/binutils
cp -p gas/{CONTRIBUTORS,COPYING,ChangeLog*,NEWS,README*} rpm_doc/gas
cp -p gprof/{ChangeLog,NOTES,TEST,TODO} rpm_doc/gprof
cp -p ld/{ChangeLog,NEWS,README,TODO} rpm_doc/ld
cp -p libiberty/{COPYING.LIB,ChangeLog,README} rpm_doc/libiberty


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr tooldir=$RPM_BUILD_ROOT/usr \
	install install-info
strip    $RPM_BUILD_ROOT/usr/bin/*
strip    $RPM_BUILD_ROOT/usr/lib/lib*.so
gzip -9f $RPM_BUILD_ROOT/usr/info/*.info

# "make install" installed libiberty.a but forgot libiberty.h
install -m644 include/libiberty.h $RPM_BUILD_ROOT/usr/include


%define INFOFILES as bfd binutils gasp gprof ld standards

%post
/sbin/ldconfig
for i in %{INFOFILES}; do
  /sbin/install-info --info-dir=/usr/info /usr/info/$i.info.gz
done

%preun
if [ $1 = 0 ]; then
  for i in %{INFOFILES}; do
    /sbin/install-info --delete --info-dir=/usr/info /usr/info/$i.info.gz
  done
fi

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc rpm_doc/*
/usr/bin/*
/usr/include/*
/usr/info/*
/usr/lib/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT
